%global fontname terminus
%global fontconf 63-%{fontname}.conf

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

%global archivename %{fontname}-font-%{version}

Name:		%{fontname}-fonts
Version:	4.40
Release:	1
Summary:	Clean fixed width font
Group:		User Interface/X
License:	GPLv2+
URL:		http://terminus-font.sourceforge.net/
Source0:	http://downloads.sourceforge.net/terminus-font/%{archivename}.tar.gz
Source1:	%{name}-fontconfig.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:	noarch

BuildRequires:	/usr/bin/X11/bdftopcf
BuildRequires:	/usr/bin/X11/mkfontdir
BuildRequires:	make

Requires:	fontconfig

%description
The Terminus Font is designed for long (8 and more hours per day)
work with computers.

Version 4.30 contains 850 characters, covers about 120 language
sets and supports ISO8859-1/2/5/7/9/13/15/16, Paratype-PT154/PT254,
KOI8-R/U/E/F, Esperanto, many IBM, Windows and Macintosh code pages,
as well as the IBM VGA, vt100 and xterm pseudographic characters.

The sizes present are 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28
and 16x32. The styles are normal and bold (except for 6x12),
plus EGA/VGA-bold for 8x14 and 8x16.

The font is available for the Linux console and for X11.

This package contains the fonts to use with X11.


%prep
%setup -q -n %{archivename}


%build
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} install install-ref

(
  cd ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
  gunzip *.pcf.gz
  compress *.pcf
)

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

ln -s %{_fontconfig_templatedir}/%{fontconf} ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/%{fontconf}

/usr/bin/X11/mkfontdir ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README README-BG
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconf}
%{_fontdir}/%{fontname}


%changelog
* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 4.40-1
- updated to version 4.40

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 4.39-1
- updated to version 4.39

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 4.38-1
- updated to version 4.38

* Thu Sep 15 2011 Michael Perzl <michael@perzl.org> - 4.36-1
- updated to version 4.36

* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 4.32-1
- first version for AIX V5.1 and higher
